# rds_subnet_group – manage RDS database subnet groups

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Creates, modifies, and deletes RDS database subnet groups. This module has a dependency on python-boto >= 2.5.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- boto

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

description - |  | Database subnet group description. Only set when a new group is added.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
name - / required |  | Database subnet group identifier.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

state
- / required

Choices:
- present ←
- absent

Specifies whether the subnet should be present or absent.

subnets - |  | List of subnet IDs that make up the database subnet group.

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Add or change a subnet group
    - rds_subnet_group:
        state: present
        name: norwegian-blue
        description: My Fancy Ex Parrot Subnet Group
        subnets:
          - subnet-aaaaaaaa
          - subnet-bbbbbbbb

    # Remove a subnet group
    - rds_subnet_group:
        state: absent
        name: norwegian-blue

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
subnet_group complex | state=present | Dictionary of DB subnet group values
| description string | state=present | The description of the DB subnet group
| name string | state=present | The name of the DB subnet group
| status string | state=present | The status of the DB subnet group
| subnet_ids list | state=present | Contains a list of Subnet IDs
| vpc_id string | state=present | The VpcId of the DB subnet group

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Community. [community]

### Authors

- Scott Anderson (@tastychutney)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.